| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Syntax.Literal

Documentation

data Literal | Source

Constructors

LitInt Range Integer |
LitLevel Range Integer |
LitFloat Range Double |
LitString Range String |
LitChar Range Char |

Instances

Eq Literal
Data Literal
Ord Literal
Show Literal
Typeable Literal
Pretty Literal
KillRange Literal
SetRange Literal
HasRange Literal
EmbPrj Literal
PrettyTCM Literal
GenC Literal
Reify Literal Expr
ShrinkC Literal Literal

Produced by Haddock version 2.4.2